Acer C710 Chromebook

Forum Forums General Hardware Acer C710 Chromebook

This topic contains 0 replies, has 1 voice, and was last updated by rokytnji Jun 7-7:20 pm.

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #10788
    Forum Admin
    rokytnji
    rokytnji

    I thought I had a thread here already. Searched for it using the the search box on the top r/h side of the forum page. But it looks like the search terms Chromebook, Acer, C710, c710. Brought me up nothing in results.

    Anyways. Here are the specs

    harry@biker:~
    $  sudo pinxi -U
    [sudo] password for harry: 
    Starting pinxi self updater.
    Using curl as downloader.
    Currently running pinxi version number: 2.9.02
    Current version patch number: 02-p
    Current version release date: 2018-03-20
    Updating pinxi in /usr/local/bin using inxi-perl branch as download source...
    Successfully updated to inxi-perl branch version: 3.0.12
    New inxi-perl branch version patch number: 09
    New inxi-perl branch version release date: 2018-06-07
    To run the new version, just start pinxi again.
    ----------------------------------------
    
    Starting download of man page file now.
    Skipping man download because branch version is being used.
    harry@biker:~
    $ pinxi -zv8 -r
    System:    Host: biker Kernel: 4.15.9-antix.1-amd64-smp x86_64 bits: 64 compiler: gcc v: 6.3.0 
               Desktop: IceWM 1.4.2 dm: slim Distro: antiX-17_x64-full Heather Heyer 24 October 2017 
    Machine:   Type: Desktop System: Google product: Parrot v: 1.0 serial: <filter> Chassis: type: 3 
               serial: <filter> 
               Mobo: Google model: Parrot v: 1.0 serial: <filter> BIOS: coreboot v: 4.0-6588-g4acd8ea-dirty 
               date: 09/04/2014 
    Battery:   ID-1: BATX charge: 30.3 Wh condition: 32.6/37.0 Wh (88%) volts: 17.3/14.8 model: SANYO AL12B32 
               type: Li-ion serial: <filter> status: Charging 
    Memory:    RAM Report: permissions: Unable to run dmidecode. Are you root? 
    PCI Slots: Permissions: Unable to run dmidecode. Are you root? 
    CPU:       Topology: Dual Core model: Intel Celeron 1007U bits: 64 type: MCP arch: Ivy Bridge rev: 9 
               L2 cache: 2048 KiB bogomips: 5986 
               Speed: 1307 MHz min/max: 800/1500 MHz Core speeds (MHz): 1: 1239 2: 878 
               Flags: acpi aperfmperf apic arat arch_perfmon bts clflush cmov constant_tsc cpuid cpuid_fault cx16 
               cx8 de ds_cpl dtes64 dtherm dts epb ept erms est flexpriority fpu fsgsbase fxsr ht lahf_lm lm mca 
               mce mmx monitor msr mtrr nonstop_tsc nopl nx pae pat pbe pcid pclmulqdq pdcm pebs pge pln pni popcnt 
               pse pse36 pti pts rdtscp rep_good sep smep ss sse sse2 sse4_1 sse4_2 ssse3 syscall tm tm2 tpr_shadow 
               tsc tsc_deadline_timer vme vmx vnmi vpid x2apic xsave xsaveopt xtopology xtpr 
    Graphics:  Card-1: Intel 3rd Gen Core processor Graphics driver: i915 v: kernel bus ID: 00:02.0 
               chip ID: 8086:0156 
               Display: server: X.Org 1.19.2 driver: modesetting unloaded: fbdev,vesa resolution: 1366x768~60Hz 
               OpenGL: renderer: Mesa DRI Intel Ivybridge Mobile v: 3.3 Mesa 13.0.6 compat-v: 3.0 
               direct render: Yes 
    Audio:     Card-1: Intel 7 Series/C216 Family High Definition Audio driver: snd_hda_intel v: kernel 
               bus ID: 00:1b.0 chip ID: 8086:1e20 
               Sound Server: ALSA v: k4.15.9-antix.1-amd64-smp 
    Network:   Card-1: Qualcomm Atheros AR9462 Wireless Network Adapter driver: ath9k v: kernel bus ID: 01:00.0 
               chip ID: 168c:0034 
               IF: wlan0 state: up mac: <filter> 
               IP v4: <filter> scope: global broadcast: <filter> 
               IP v6: <filter> scope: link 
               Card-2: Broadcom Limited NetLink BCM57785 Gigabit Ethernet PCIe driver: tg3 v: 3.137 port: N/A 
               bus ID: 02:00.0 chip ID: 14e4:16b5 
               IF: eth0 state: down mac: <filter> 
               WAN IP: <filter> 
    Drives:    HDD Total Size: 44.64 GiB used: 25.83 GiB (57.9%) 
               ID-1: /dev/mmcblk0 model: SD32G size: 29.72 GiB serial: <filter> scheme: MBR 
               ID-2: /dev/sda vendor: SanDisk model: SSD U100 16GB size: 14.91 GiB speed: 3.0 Gb/s serial: <filter> 
               rev: 6.14 scheme: MBR 
               Message: No Optical or Floppy data was found. 
    RAID:      Message: No RAID data was found. 
    Partition: ID-1: / size: 14.62 GiB used: 4.69 GiB (32.1%) fs: ext4 dev: /dev/sda1 label: rootantiX 
               uuid: ea719934-26e3-4f25-af62-4f54438f456d 
               ID-2: /media/E10C-A032 size: 29.71 GiB used: 21.14 GiB (71.1%) fs: vfat dev: /dev/mmcblk0p1 
               label: N/A uuid: E10C-A032 
    Unmounted: Message: No unmounted partitions found. 
    USB:       Hub: 1:1 usb: 2.0 type: Full speed (or root) hub chip ID: 1d6b:0002 
               Hub: 1:2 usb: 2.0 type: Intel Integrated Rate Matching Hub chip ID: 8087:0024 
               Device-1: Foxconn / Hon Hai bus ID: 1:3 usb: 1.1 type: Bluetooth chip ID: 0489:e04e 
               Device-2: Chicony bus ID: 1:4 usb: 2.0 type: Video chip ID: 04f2:b336 
               Hub: 2:1 usb: 2.0 type: Full speed (or root) hub chip ID: 1d6b:0002 
               Hub: 2:2 usb: 2.0 type: Intel Integrated Rate Matching Hub chip ID: 8087:0024 
    Sensors:   System Temperatures: cpu: 46.0 C mobo: N/A 
               Fan Speeds (RPM): N/A 
    Repos:     Active apt repos in: /etc/apt/sources.list.d/antix.list 
               1: deb http://repo.antixlinux.com/stretch stretch main nosystemd
               Active apt repos in: /etc/apt/sources.list.d/debian-stable-updates.list 
               1: deb http://ftp.us.debian.org/debian/ stretch-updates main contrib non-free
               Active apt repos in: /etc/apt/sources.list.d/debian.list 
               1: deb http://ftp.us.debian.org/debian/ stretch main contrib non-free
               2: deb http://security.debian.org/ stretch/updates main contrib non-free
               Active apt repos in: /etc/apt/sources.list.d/google-chrome.list 
               1: deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
               No active apt repos in: /etc/apt/sources.list.d/onion.list 
               No active apt repos in: /etc/apt/sources.list.d/various.list 
    Processes: CPU top: 5 
               1: cpu: 82.2% command: firefox-esr pid: 3268 mem: 448.7 MiB (11.5%) 
               2: cpu: 2.4% command: xorg pid: 2236 mem: 57.3 MiB (1.4%) 
               3: cpu: 0.4% command: conky pid: 2606 mem: 10.5 MiB (0.2%) 
               4: cpu: 0.3% command: python pid: 2240 mem: 15.4 MiB (0.3%) 
               5: cpu: 0.3% command: lxterminal pid: 4921 mem: 19.9 MiB (0.5%) 
               Memory top: 5 
               1: mem: 448.7 MiB (11.5%) command: firefox-esr pid: 3268 cpu: 82.2% 
               2: mem: 57.3 MiB (1.4%) command: xorg pid: 2236 cpu: 2.4% 
               3: mem: 36.4 MiB (0.9%) command: python pid: 2566 cpu: 0.1% 
               4: mem: 34.3 MiB (0.8%) command: spacefm pid: 2472 cpu: 0.0% 
               5: mem: 27.6 MiB (0.7%) command: volumeicon pid: 2547 cpu: 0.0% 
    Info:      Processes: 132 Uptime: 11m Memory: 3.79 GiB used: 585.2 MiB (15.1%) Init: SysVinit v: 2.88 
               runlevel: 5 default: 5 Compilers: gcc: 6.3.0 alt: 6 Shell: bash v: 4.4.12 running in: lxterminal 
               pinxi: 3.0.12-9 
    harry@biker:~
    $ 
    

    This was installed using John Lewis SeaBios. The whole thread with my involvement is over here
    https://forum.mxlinux.org/viewtopic.php?f=104&t=42545&hilit=chromebooks

    I put this away in storage after my install. I’ve been mostly on my motorcycle shop Desktop system and IBM T430 since then.

    But, I am getting it ready for my trips this summer coming up and it is going to be my saddlebag laptop. So I made it current.

    harry@biker:~
    $ su
    Password: 
    root@biker:/home/harry# apt update
    Get:1 http://ftp.us.debian.org/debian stretch-updates InRelease [91.0 kB]
    Get:2 http://security.debian.org stretch/updates InRelease [94.3 kB]                                                               
    Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease                                                                       
    Get:4 http://dl.google.com/linux/chrome/deb stable Release [1,189 B]                                              
    Ign:5 http://ftp.us.debian.org/debian stretch InRelease                                        
    Hit:6 http://ftp.us.debian.org/debian stretch Release                                          
    Get:7 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]   
    Get:8 http://ftp.us.debian.org/debian stretch-updates/main i386 Packages.diff/Index [4,180 B]
    Get:9 http://ftp.us.debian.org/debian stretch-updates/main amd64 Packages.diff/Index [4,180 B]
    Get:10 http://ftp.us.debian.org/debian stretch-updates/main Translation-en.diff/Index [2,704 B]
    Get:11 http://ftp.us.debian.org/debian stretch-updates/main i386 Packages 2018-03-28-2029.04.pdiff [4,113 B]
    Get:12 http://ftp.us.debian.org/debian stretch-updates/main i386 Packages 2018-03-31-1421.39.pdiff [336 B]
    Get:13 http://ftp.us.debian.org/debian stretch-updates/main i386 Packages 2018-05-05-2031.58.pdiff [329 B]
    Get:14 http://ftp.us.debian.org/debian stretch-updates/main amd64 Packages 2018-03-28-2029.04.pdiff [4,061 B]
    Get:15 http://ftp.us.debian.org/debian stretch-updates/main amd64 Packages 2018-03-31-1421.39.pdiff [336 B]
    Get:16 http://ftp.us.debian.org/debian stretch-updates/main amd64 Packages 2018-05-05-2031.58.pdiff [329 B]
    Get:13 http://ftp.us.debian.org/debian stretch-updates/main i386 Packages 2018-05-05-2031.58.pdiff [329 B]
    Get:16 http://ftp.us.debian.org/debian stretch-updates/main amd64 Packages 2018-05-05-2031.58.pdiff [329 B]
    Get:17 http://security.debian.org stretch/updates/main amd64 Packages [356 kB]                                       
    Get:18 http://ftp.us.debian.org/debian stretch-updates/main Translation-en 2018-03-28-2029.04.pdiff [2,033 B]
    Get:18 http://ftp.us.debian.org/debian stretch-updates/main Translation-en 2018-03-28-2029.04.pdiff [2,033 B]              
    Get:20 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1,357 B]                              
    Get:21 http://security.debian.org stretch/updates/main i386 Packages [357 kB]                            
    Get:22 http://security.debian.org stretch/updates/main Translation-en [166 kB]
    Get:23 http://security.debian.org stretch/updates/contrib i386 Packages [1,776 B]   
    Get:24 http://security.debian.org stretch/updates/contrib amd64 Packages [1,776 B]  
    Get:25 http://repo.antixlinux.com/stretch stretch InRelease [20.7 kB]              
    Get:26 http://repo.antixlinux.com/stretch stretch/main amd64 Packages [169 kB]
    Get:27 http://repo.antixlinux.com/stretch stretch/main i386 Packages [173 kB]
    Get:28 http://repo.antixlinux.com/stretch stretch/nosystemd i386 Packages [141 kB]
    Get:29 http://repo.antixlinux.com/stretch stretch/nosystemd amd64 Packages [141 kB]                                                                                    
    Fetched 1,739 kB in 6s (258 kB/s)                                                                                                                                      
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    59 packages can be upgraded. Run 'apt list --upgradable' to see them.
    root@biker:/home/harry# apt list --upgradeable
    Listing... Done
    adobe-flash-properties-gtk/stretch 1:20180508.1-1mx17+1 amd64 [upgradable from: 1:20180313.1-1mx17+1]
    adobe-flashplugin/stretch 1:20180508.1-1mx17+1 amd64 [upgradable from: 1:20180313.1-1mx17+1]
    antix-installer/stretch 1.0.4.1 amd64 [upgradable from: 0.8.14]
    antix-libs/stretch,stretch 0.6.8 all [upgradable from: 0.6.7]
    cli-installer-antix/stretch,stretch 3.17 all [upgradable from: 3.16]
    control-centre-antix/stretch,stretch 0.6.9 all [upgradable from: 0.6.7]
    curl/stable 7.52.1-5+deb9u6 amd64 [upgradable from: 7.52.1-5+deb9u5]
    ds-mouse-antix/stretch,stretch 0.1.9 all [upgradable from: 0.1.7]
    faq-docs-antix/stretch,stretch 0.5.5 all [upgradable from: 0.5.4]
    firefox-esr/stable 52.8.0esr-1~deb9u1 amd64 [upgradable from: 52.7.2esr-1~deb9u1]
    fonts-opensymbol/stable,stable 2:102.7+LibO5.2.7-1+deb9u4 all [upgradable from: 2:102.7+LibO5.2.7-1+deb9u3]
    gir1.2-packagekitglib-1.0/stable 1.1.5-2+deb9u1 amd64 [upgradable from: 1.1.5-2]
    google-chrome-stable/stable 67.0.3396.79-1 amd64 [upgradable from: 65.0.3325.181-1]
    inxi-gui-antix/stretch,stretch 0.3.4 all [upgradable from: 0.3.3]
    irssi/stable 1.0.7-1~deb9u1 amd64 [upgradable from: 1.0.2-1+deb9u3]
    iso-snapshot-antix/stretch 0.2.8 amd64 [upgradable from: 0.2.7]
    iso-template-antix/stretch,stretch 17.6 all [upgradable from: 17.5]
    libcurl3/stable 7.52.1-5+deb9u6 amd64 [upgradable from: 7.52.1-5+deb9u5]
    libcurl3-gnutls/stable 7.52.1-5+deb9u6 amd64 [upgradable from: 7.52.1-5+deb9u5]
    libicu57/stable 57.1-6+deb9u2 amd64 [upgradable from: 57.1-6+deb9u1]
    libmad0/stable 0.15.1b-8+deb9u1 amd64 [upgradable from: 0.15.1b-8]
    libnss-myhostname/stable-updates 232-25+deb9u3 amd64 [upgradable from: 232-25+deb9u2]
    libpackagekit-glib2-18/stable 1.1.5-2+deb9u1 amd64 [upgradable from: 1.1.5-2]
    libperl5.24/stable 5.24.1-3+deb9u3 amd64 [upgradable from: 5.24.1-3+deb9u2]
    libreoffice-base-core/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-calc/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-common/stable,stable 1:5.2.7-1+deb9u4 all [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-core/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-draw/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-gtk/stable,stable 1:5.2.7-1+deb9u4 all [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-gtk2/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-impress/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-math/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-style-galaxy/stable,stable 1:5.2.7-1+deb9u4 all [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-systray/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libreoffice-writer/stable 1:5.2.7-1+deb9u4 amd64 [upgradable from: 1:5.2.7-1+deb9u3]
    libssl1.0.2/stable 1.0.2l-2+deb9u3 amd64 [upgradable from: 1.0.2l-2+deb9u2]
    libssl1.1/stable 1.1.0f-3+deb9u2 amd64 [upgradable from: 1.1.0f-3+deb9u1]
    libwavpack1/stable 5.0.0-2+deb9u2 amd64 [upgradable from: 5.0.0-2+deb9u1]
    live-usb-maker/stretch,stretch 0.3.3 all [upgradable from: 0.3.2]
    livestreamer/stretch,stretch 1.12.2+streamlink+0.11.0+dfsg-1.1 all [upgradable from: 1.12.2+streamlink+0.10.0+dfsg-1.1]
    mupdf/stable 1.9a+ds1-4+deb9u3 amd64 [upgradable from: 1.9a+ds1-4+deb9u2]
    openssl/stable 1.1.0f-3+deb9u2 amd64 [upgradable from: 1.1.0f-3+deb9u1]
    packageinstaller-pkglist/stretch,stretch 0.2.1 all [upgradable from: 0.2.0]
    perl/stable 5.24.1-3+deb9u3 amd64 [upgradable from: 5.24.1-3+deb9u2]
    perl-base/stable 5.24.1-3+deb9u3 amd64 [upgradable from: 5.24.1-3+deb9u2]
    perl-modules-5.24/stable,stable 5.24.1-3+deb9u3 all [upgradable from: 5.24.1-3+deb9u2]
    python3-streamlink/stretch,stretch 0.11.0+dfsg-1.1 all [upgradable from: 0.10.0+dfsg-1.1]
    remaster-antix/stretch,stretch 0.6.6 all [upgradable from: 0.6.5]
    repo-manager/stretch 0.1.8 amd64 [upgradable from: 0.1.3]
    smxi-inxi-antix/stretch,stretch 0.4.9 all [upgradable from: 0.4.2]
    streamlink/stretch,stretch 0.11.0+dfsg-1.1 all [upgradable from: 0.10.0+dfsg-1.1]
    tzdata/stable-updates,stable-updates 2018e-0+deb9u1 all [upgradable from: 2018c-0+deb9u1]
    uno-libs3/stable 5.2.7-1+deb9u4 amd64 [upgradable from: 5.2.7-1+deb9u3]
    ure/stable 5.2.7-1+deb9u4 amd64 [upgradable from: 5.2.7-1+deb9u3]
    user-management-antix/stretch,stretch 0.3.6 all [upgradable from: 0.3.4]
    wavpack/stable 5.0.0-2+deb9u2 amd64 [upgradable from: 5.0.0-2+deb9u1]
    wget/stable 1.18-5+deb9u2 amd64 [upgradable from: 1.18-5+deb9u1]
    xdg-utils/stable,stable 1.1.1-1+deb9u1 all [upgradable from: 1.1.1-1]
    root@biker:/home/harry# apt dist-upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
      libwxbase3.0-0v5 libwxgtk3.0-0v5
    Use 'apt autoremove' to remove them.
    The following NEW packages will be installed:
      dict ecryptfs-utils grub-efi-ia32-bin installer-data-antix libappindicator3-1 libdbusmenu-gtk3-4 libecryptfs1 libindicator3-7 libmaa3 librecode0 libtspi1 recode
    The following packages will be upgraded:
      adobe-flash-properties-gtk adobe-flashplugin antix-installer antix-libs cli-installer-antix control-centre-antix curl ds-mouse-antix faq-docs-antix firefox-esr
      fonts-opensymbol gir1.2-packagekitglib-1.0 google-chrome-stable inxi-gui-antix irssi iso-snapshot-antix iso-template-antix libcurl3 libcurl3-gnutls libicu57 libmad0
      libnss-myhostname libpackagekit-glib2-18 libperl5.24 libreoffice-base-core libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-gtk
      libreoffice-gtk2 libreoffice-impress libreoffice-math libreoffice-style-galaxy libreoffice-systray libreoffice-writer libssl1.0.2 libssl1.1 libwavpack1
      live-usb-maker livestreamer mupdf openssl packageinstaller-pkglist perl perl-base perl-modules-5.24 python3-streamlink remaster-antix repo-manager smxi-inxi-antix
      streamlink tzdata uno-libs3 ure user-management-antix wavpack wget xdg-utils
    59 upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
    Need to get 226 MB of archives.
    After this operation, 7,590 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    <snip>
    Writing Menu: openbox
    Writing Menu: jwm
    Writing Menu: fluxbox
    root@biker:/home/harry# apt-get -f install
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      libwxbase3.0-0v5 libwxgtk3.0-0v5
    Use 'apt autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    root@biker:/home/harry# 
    
    

    Did some touchpad editing after helping another chromebook user on MX forums on his AntiX install. Helping him helped me. Just changing 3 finger right click to 2 finger right click. When you 1st install AntiX . The touchpad default after install is 3 fingers for right click copy and paste.

    harry@biker:~
    $ cd /etc/X11/xorg.conf.d
    harry@biker:/etc/X11/xorg.conf.d
    $ ls
    synaptic.conf.bk  synaptics.conf
    harry@biker:/etc/X11/xorg.conf.d
    $ cat synaptics.conf
    Section "InputClass"
            Identifier      "Touchpad"                      # required
            MatchIsTouchpad "yes"                           # required
            Driver          "synaptics"                     # required
            Option          "MinSpeed"              "0.5"
            Option          "MaxSpeed"              "1.0"
            Option          "AccelFactor"           "0.075"
            Option          "TapButton1"            "1"
            Option          "TapButton2"            "3"     # multitouch
            Option          "TapButton3"            "2"     # multitouch
            Option          "VertTwoFingerScroll"   "1"     # multitouch
            Option          "HorizTwoFingerScroll"  "1"     # multitouch
            Option          "VertEdgeScroll"        "1"
            Option          "CoastingSpeed"         "8"
            Option          "CornerCoasting"        "1"
            Option          "CircularScrolling"     "1"
            Option          "CircScrollTrigger"     "7"
            Option          "EdgeMotionUseAlways"   "1"
            Option          "LBCornerButton"        "8"     # browser "back" btn
            Option          "RBCornerButton"        "9"     # browser "forward" btn
    EndSection
    harry@biker:/etc/X11/xorg.conf.d
    

    The thread I helped out on is over here
    https://forum.mxlinux.org/viewtopic.php?f=40&t=45427&hilit=chromebooks

    Gotta give D.O. respects also for giving me ideas in that thread.

    AntiX runs good on chromebooks to. If someone finds my thread I think I made already. I will merge it over here into hardware. 🙂
    Happy Trails, Rok.

    Beer, Bikes, and BBQ. It's what we do
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

Viewing 1 post (of 1 total)

You must be logged in to reply to this topic.